none
Hey- When Im installing LOB adapters in my production machines where I have not installed VS i got an warning like Tools components required RRS feed

  • Question

  • Im getting below warning in my production environment where I have not installed VS due to no necessity 

    Do we installed it with green  i.e without warnings?

    Thanks,

    Phanindra.

    Wednesday, November 27, 2019 6:20 AM

Answers

  • No, it should not cause any issues with the adapter performance so far as I know.

    Enterprise edition would contain the WCF LOB adapters,  Standard Edition does not I think. 

    Developer Edition has everything that Enterprise Edition (bar some EDIFACT schemas as I recall) PLUS the extensions you need to have to be able to Develop with it in Visual Studio.

    Choosing a BizTalk 2016 Edition
    • Edited by Colin Dijkgraaf Wednesday, November 27, 2019 9:46 PM
    • Marked as answer by Phani_B Friday, December 6, 2019 6:22 AM
    Wednesday, November 27, 2019 9:39 PM

All replies

  • What version of BizTalk are you installing?   Enterprise, Standard, Developer or Branch?

    For Production it should not be Developer 

    Wednesday, November 27, 2019 7:45 PM
  • BT2016 i think Developer 
    its not actually prod it a UAT env

    For Developer one we compulsory install VS ?

    Is the waning cause any issue?
    • Edited by Phani_B Wednesday, November 27, 2019 9:11 PM
    Wednesday, November 27, 2019 9:10 PM
  • Ok, because you are using Developer is why you are getting that warning as it expects Visual Studio to be there.  So you can ignore that warning.

    Usually for UAT, Test, System integration I would usually use Enterprise or Standard edition (depending on your production version), because as I understand it, you would be covered by your Production Licence, but if you use Developer Edition, then each Admin would need a MSDN licence.  See Which MSDN License is Needed for BizTalk 2016 Developers?

    Note: You can do in-place upgrade install of the Enterprise edition on the Developer Edition to upgrade it.

    Wednesday, November 27, 2019 9:19 PM
  • Thanks Colin for your quick response

    just to confirm again 

    the warning will not create any adapter performance or other issues right ?

    and how come the tools and biztalk addin available in standard and enterprise edition without visual studio,

    thanks

    phanindra


    • Edited by Phani_B Wednesday, November 27, 2019 9:33 PM
    Wednesday, November 27, 2019 9:28 PM
  • No, it should not cause any issues with the adapter performance so far as I know.

    Enterprise edition would contain the WCF LOB adapters,  Standard Edition does not I think. 

    Developer Edition has everything that Enterprise Edition (bar some EDIFACT schemas as I recall) PLUS the extensions you need to have to be able to Develop with it in Visual Studio.

    Choosing a BizTalk 2016 Edition
    • Edited by Colin Dijkgraaf Wednesday, November 27, 2019 9:46 PM
    • Marked as answer by Phani_B Friday, December 6, 2019 6:22 AM
    Wednesday, November 27, 2019 9:39 PM